> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get template

> get template list



## OpenAPI

````yaml /swagger.json get /template
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /template:
    get:
      tags:
        - template
      description: get template list
      parameters:
        - schema:
            type: number
            nullable: true
            default: 0
            example: 0
            description: The templates count you want to skip
          required: false
          description: The templates count you want to skip
          name: skip
          in: query
        - schema:
            type: number
            nullable: true
            default: 300
            example: 300
            description: The templates count you want to take
          required: false
          description: The templates count you want to take
          name: take
          in: query
      responses:
        '201':
          description: Successfully get template list.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    categoryId:
                      type: array
                      items:
                        type: string
                    isSystem:
                      type: boolean
                    featured:
                      type: boolean
                    isPublished:
                      type: boolean
                    snapshot:
                      type: object
                      properties:
                        baseId:
                          type: string
                        snapshotTime:
                          type: string
                          format: date-time
                        spaceId:
                          type: string
                        name:
                          type: string
                      required:
                        - baseId
                        - snapshotTime
                        - spaceId
                        - name
                    description:
                      type: string
                    baseId:
                      type: string
                    cover:
                      type: object
                      properties:
                        token:
                          type: string
                          example: xxxxxxxxxxx
                          description: Token for the uploaded file
                        size:
                          type: number
                          example: 1024
                          description: File size in bytes
                        url:
                          type: string
                          example: /bucket/xxxxx
                          description: URL of the uploaded file
                        path:
                          type: string
                          example: /table/xxxxxx
                          description: file path
                        mimetype:
                          type: string
                          example: video/mp4
                          description: MIME type of the uploaded file
                        width:
                          type: number
                          example: 100
                          description: Image width of the uploaded file
                        height:
                          type: number
                          example: 100
                          description: Image height of the uploaded file
                        name:
                          type: string
                        id:
                          type: string
                        thumbnailPath:
                          type: object
                          properties:
                            lg:
                              type: string
                            sm:
                              type: string
                          required:
                            - lg
                            - sm
                        presignedUrl:
                          type: string
                      required:
                        - token
                        - size
                        - url
                        - path
                        - mimetype
                        - name
                        - id
                        - presignedUrl
                    usageCount:
                      type: number
                    markdownDescription:
                      type: string
                    publishInfo:
                      type: object
                      properties:
                        nodes:
                          type: array
                          items:
                            type: string
                        includeData:
                          type: boolean
                        defaultActiveNodeId:
                          type: string
                          nullable: true
                        defaultUrl:
                          type: string
                    visitCount:
                      type: number
                    createdBy:
                      type: object
                      nullable: true
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        avatar:
                          type: string
                        email:
                          type: string
                      required:
                        - id
                  required:
                    - id
                    - snapshot
                    - cover
                    - usageCount
                    - visitCount
                    - createdBy
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/template?skip=0&take=300' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url = 'https://app.teable.ai/api/template?skip=0&take=300';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/template?skip=0&take=300',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET", "/api/template?skip=0&take=300",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````